Subject: LAD application for adjustment of status

From: Ed David <[email-masked]>
Date: Mon, 31 Jan 94 14:44:42 CST

Hi!

A New York-based immigration lawyer published a series of articles 
on CSPA in World Journal in early January.  
In one of the articles about LADs on January 7, 1994, he 
said that LADs can still apply for adjustment of status at their local INS 
offices although there are no visa numbers available.  According to 
the current INS methods of dealing with the applications for adjustment 
of status, as long as an applicant's priority date of July 1, 1993 and the 
date of visa quota (for that category, issued by the State Department) 
are the same, the applicant can file the application.  However, 
the application can be approved only when the visa quota date 
progresses one day than the applicant'spriority date.

I hope that the above is useful.

Jane

>       My friend is a LAD.  She asked me to post this for her.
> She talked to a very GOOD immigration lawyer in Seattle regarding to the
> LAD issue.  The lawyer said according to the immigration law, the cutting
> date for 3rd employment-based immigration, which is July 1st, 1993, does NOT
> include July 1st.  Because the earliest priority date for CSPA is July 1st,
> 1993, technically there should be no LAD application processed and interviewed/.
> .  Can anyone please to confirm this?
> 

>That's right. But remember, 3rd employment-based was advancing to August and
>Sept (and may be Oct?). So at those months, lads were able to apply for
>adjustment. But because too many people applied (ie, far exceed the quota),
>the cutoff date went back to July 1st. So now technically, no lad can apply
>for adjustment for status until the cutoff date advances to July 2nd. So
>if you did not apply in Aug or Sept or Oct(?), then you lost the chance and
>have to wait.

Jun

>BTW: However, I did remember I saw a post at Houston INS window, that CSPA
>     LAD can apply in December. I think that's just an excemption since they
>     want to finish up this case and let LAD wait for quota. This may be
>     differ from one local INS to another, and may no long be true in January.